//========================================================================================
//
//	File:				FWNew.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWNEW_H
#define FWNEW_H

#include <new.h>

//========================================================================================
// Type definitions
//========================================================================================

// define a common type for the new handler, since different compilers
// use different type names

typedef void (*pfvv)();			// Pointer to function returning void.
								// Used with set_new_handler.  See ARM, pp 280-81.
	
#ifdef _MSC_VER

extern pfvv	set_new_handler(pfvv handler);

#endif

#endif // FWNEW_H
